import React from 'react';
interface PersistedStateContextType {
    storage: Record<string, any>;
    updateValue: (key: string, value: any) => void;
    clearValue: (key: string) => void;
}
export declare const PersistedStateContext: React.Context<PersistedStateContextType>;
declare const PersistedStateProvider: React.FC;
export default PersistedStateProvider;
